# Overview

Nucleus registry implementation for extension system.

It is important for such extension to be enabled as soon as possible so that other extensions can use it as a bootstrap to be downloaded. Once enabled it registers itself in the extension manager as extension registry provider.


## Settings


Refer to `extension.toml` file for settings.


## Basic Principle

In the provided nucleus URL it stores all extensions as zip archives and special `index.zip` file (zipped json) which contains information about each extension stored.

Omniverse Client library is used under the hood so local filesystem can also be used as a storage.
